Skip to content
Permalink
Browse files

feat(package): upgrade dependencies, including Electron 3

  • Loading branch information...
devinus committed Sep 28, 2018
1 parent f9db614 commit b4fda52e2be464ae9e75bee11cfa31240686cf16
Showing with 3,648 additions and 1,069 deletions.
  1. +1 −1 .tool-versions
  2. +9 −9 .travis.yml
  3. +2 −2 Dockerfile
  4. +2 −2 appveyor.yml
  5. +1 −1 build/Dockerfile
  6. +1 −1 build/docker-compose.yml
  7. +36 −35 package.json
  8. +3,596 −1,018 yarn.lock
@@ -1,2 +1,2 @@
nodejs 10.10.0
nodejs 10.11.0
python 2.7.15
@@ -1,15 +1,15 @@
---
matrix:
include:
- os: linux
sudo: false
dist: trusty
- os: osx
osx_image: xcode6.4

language: node_js
node_js:
- 10.10.0
- 10.11.0

jobs:
include:
- os: linux
sudo: false
dist: trusty
- os: osx
osx_image: xcode8

addons:
chrome: stable
@@ -1,5 +1,5 @@
FROM node:10.10.0-stretch
LABEL maintainer="Nano Wallet Company <desktop@nanowalletcompany.com>"
FROM node:10.11.0-stretch
LABEL maintainer="Nano Wallet Company <team@nanowalletcompany.com>"

ENV DEBIAN_FRONTEND=noninteractive

@@ -1,11 +1,11 @@
image: Visual Studio 2015
image: Visual Studio 2017

platform:
- x64

environment:
matrix:
- nodejs_version: 10.10.0
- nodejs_version: 10.11.0

cache:
- node_modules -> yarn.lock
@@ -1,5 +1,5 @@
FROM electronuserland/builder:wine-mono
LABEL maintainer="Nano Wallet Company <desktop@nanowalletcompany.com>"
LABEL maintainer="Nano Wallet Company <team@nanowalletcompany.com>"

RUN curl -fsSL https://dl.yarnpkg.com/debian/pubkey.gpg | apt-key add -
RUN echo "deb https://dl.yarnpkg.com/debian/ stable main" | tee /etc/apt/sources.list.d/yarn.list
@@ -5,7 +5,7 @@ services:
context: ..
dockerfile: ./build/Dockerfile
args:
- YARN_VERSION=${YARN_VERSION:-1.9.4-1}
- YARN_VERSION=${YARN_VERSION:-1.10.1-1}
- NODE_ENV=${NODE_ENV:-production}
- EMBER_ENV=${EMBER_ENV:-production}
- ELECTRON_PLATFORM=${ELECTRON_PLATFORM:-linux}
@@ -36,6 +36,7 @@
"start": "ember serve",
"test": "ember test",
"lint:js": "eslint .",
"lint:hbs": "ember-template-lint .",
"precommit": "lint-staged",
"commitmsg": "commitlint -e $GIT_PARAMS",
"cz": "git-cz",
@@ -96,16 +97,16 @@
"express-jwt": "^5.3.1",
"extract-zip": "^1.6.7",
"get-port": "^4.0.0",
"got": "^9.2.1",
"got": "^9.2.2",
"graceful-fs": "^4.1.11",
"helmet": "^3.13.0",
"http-proxy": "^1.17.0",
"jsonwebtoken": "^8.3.0",
"load-json-file": "^5.0.0",
"load-json-file": "^5.1.0",
"locale2": "^2.3.1",
"lzma-native": "^4.0.1",
"make-dir": "^1.3.0",
"nanoid": "^1.2.3",
"nanoid": "^1.2.4",
"node-forge": "^0.7.6",
"normalize-newline": "^3.0.0",
"path-exists": "^3.0.0",
@@ -117,28 +118,28 @@
"signal-exit": "^3.0.2",
"spdy": "^3.4.7",
"tar-fs": "^1.16.3",
"tar-stream": "^1.6.1",
"tar-stream": "^1.6.2",
"to-executable-name": "^2.0.0",
"update-electron-app": "^1.3.0",
"username": "^4.0.0",
"wait-port": "^0.2.2",
"write-file-atomic": "^2.3.0",
"write-json-file": "^3.0.1"
"write-json-file": "^3.0.2"
},
"devDependencies": {
"@babel/plugin-proposal-class-properties": "^7.0.0",
"@babel/plugin-proposal-decorators": "^7.0.0",
"@babel/plugin-proposal-class-properties": "^7.1.0",
"@babel/plugin-proposal-decorators": "^7.1.1",
"@babel/plugin-proposal-function-bind": "^7.0.0",
"@babel/plugin-syntax-async-generators": "^7.0.0",
"@commitlint/cli": "^7.1.2",
"@commitlint/config-conventional": "^7.1.2",
"@commitlint/prompt": "^7.1.2",
"@ember-decorators/argument": "^0.8.19",
"@ember-decorators/babel-transforms": "^2.1.1",
"@ember-decorators/argument": "^0.8.20",
"@ember-decorators/babel-transforms": "^2.1.2",
"@ember/jquery": "^0.5.2",
"@ember/optional-features": "^0.6.4",
"@ember/optional-features": "^0.7.0",
"android-versions": "^1.3.0",
"babel-eslint": "^9.0.0",
"babel-eslint": "^10.0.1",
"bignumber.js": "^7.2.1",
"bip39": "^2.5.0",
"bootstrap": "^4.1.3",
@@ -148,32 +149,32 @@
"coinmarketcap": "^0.2.0",
"commitizen": "^2.10.1",
"corber": "^1.3.2",
"cordova": "^8.0.0",
"cordova": "^8.1.1",
"cross-env": "^5.2.0",
"devtron": "^1.4.0",
"downloadjs": "^1.4.7",
"electron-forge": "~5.0.0",
"electron-packager": "~10.1.2",
"electron-prebuilt-compile": "2.0.7",
"electron-prebuilt-compile": "3.0.0",
"ember-ajax": "^3.1.1",
"ember-bootstrap": "^2.1.0",
"ember-bootstrap": "^2.1.2",
"ember-bootstrap-changeset-validations": "^1.0.0",
"ember-bootstrap-power-select": "^1.0.0-rc.1",
"ember-browserify": "^1.2.2",
"ember-changeset": "^1.5.0",
"ember-changeset-validations": "^1.3.0",
"ember-changeset-validations": "^1.3.1",
"ember-chrome-devtools": "^0.2.0",
"ember-cli": "^3.3.0",
"ember-cli": "^3.4.3",
"ember-cli-app-version": "^3.2.0",
"ember-cli-autoprefixer": "^0.8.1",
"ember-cli-babel": "^7.1.0",
"ember-cli-babel": "^7.1.2",
"ember-cli-build-notifications": "^0.4.0",
"ember-cli-chai": "^0.5.0",
"ember-cli-clipboard": "^0.9.0",
"ember-cli-content-for-config": "^1.1.0",
"ember-cli-content-security-policy": "^1.0.0",
"ember-cli-dependency-checker": "^3.0.0",
"ember-cli-deprecation-workflow": "^0.2.5",
"ember-cli-deprecation-workflow": "^1.0.0",
"ember-cli-eslint": "^4.2.3",
"ember-cli-flash": "^1.6.6",
"ember-cli-htmlbars": "^3.0.0",
@@ -193,29 +194,29 @@
"ember-cli-uglify": "^2.1.0",
"ember-component-css": "^0.6.5",
"ember-composable-helpers": "^2.1.0",
"ember-concurrency": "^0.8.20",
"ember-concurrency-decorators": "^0.0.4-beta.0",
"ember-concurrency": "^0.8.21",
"ember-concurrency-decorators": "^0.0.4",
"ember-concurrency-retryable": "^0.4.0",
"ember-config-service": "^0.2.0",
"ember-data": "^3.4.0",
"ember-decorators": "^2.4.1",
"ember-config-service": "^1.0.0",
"ember-data": "^3.4.2",
"ember-decorators": "^2.5.1",
"ember-electron": "^2.9.0",
"ember-exex": "^0.2.0",
"ember-export-application-global": "^2.0.0",
"ember-fetch": "^5.1.3",
"ember-font-awesome": "^4.0.0-rc.4",
"ember-host-manager": "^0.1.1",
"ember-in-viewport": "^3.1.3",
"ember-intl": "^3.2.4",
"ember-intl": "^3.2.6",
"ember-keyboard-shortcuts": "^1.1.1",
"ember-lifeline": "^3.0.7",
"ember-lifeline": "^3.0.8",
"ember-load": "^0.0.12",
"ember-load-initializers": "^1.1.0",
"ember-local-storage": "^1.4.2",
"ember-math-helpers": "^2.6.0",
"ember-math-helpers": "^2.7.0",
"ember-mocha": "^0.14.0",
"ember-moment": "^7.7.0",
"ember-power-select": "^2.0.6",
"ember-moment": "^7.8.0",
"ember-power-select": "^2.0.8",
"ember-power-select-blockless": "^0.5.0",
"ember-promise-helpers": "^1.0.6",
"ember-qrcode-shim": "^0.3.0",
@@ -227,22 +228,22 @@
"ember-service-worker-asset-cache": "^0.6.3",
"ember-service-worker-index": "^0.6.9",
"ember-simple-auth": "^1.7.0",
"ember-source": "^3.4.1",
"ember-source": "^3.4.4",
"ember-truth-helpers": "^2.1.0",
"ember-web-app": "^2.3.0",
"ember-window-mock": "^0.5.0",
"eslint": "^5.5.0",
"eslint": "^5.6.1",
"eslint-config-airbnb-base": "^13.1.0",
"eslint-plugin-babel": "^5.2.0",
"eslint-plugin-babel": "^5.2.1",
"eslint-plugin-chai-expect": "^1.1.1",
"eslint-plugin-chai-friendly": "^0.4.1",
"eslint-plugin-ember": "^5.2.0",
"eslint-plugin-ember-suave": "^1.0.0",
"eslint-plugin-hbs": "^0.1.1",
"eslint-plugin-import": "^2.14.0",
"eslint-plugin-mocha": "^5.2.0",
"husky": "^0.14.3",
"lint-staged": "^7.2.2",
"husky": "^1.0.1",
"lint-staged": "^7.3.0",
"liquid-fire": "^0.29.5",
"loader.js": "^4.7.0",
"moment": "^2.22.2",
@@ -252,11 +253,11 @@
"patch-package": "^5.1.1",
"postinstall-postinstall": "^1.0.0",
"rimraf": "^2.6.2",
"sass": "^1.13.4",
"sass": "^1.14.1",
"slick-carousel": "^1.8.1",
"standard-version": "^4.4.0"
},
"engines": {
"node": ">= 8.9.3"
"node": ">= 10.2.0"
}
}
Oops, something went wrong.

0 comments on commit b4fda52

Please sign in to comment.
You can’t perform that action at this time.